> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/documentdetector/installation.md).

# Instalando o SDK

{% hint style="warning" %}
Certifique-se de que o Flutter esteja instalado e configurado no seu ambiente. Para instruções de instalação, visite o [Guia de instalação do Flutter](https://flutter.dev/docs/get-started/install).
{% endhint %}

### Use este pacote como uma biblioteca

#### Adicione como dependência

Execute este comando:

Com Flutter:

```shell
 $ flutter pub add flutter_caf_document_detector
```

Isso adicionará uma linha como esta ao pubspec.yaml do seu pacote (e executará um `flutter pub get`):

```yaml
dependências:
  flutter_caf_document_detector: ^1.0.3
```

Como alternativa, seu editor pode oferecer suporte a `flutter pub get`. Consulte a documentação do seu editor para saber mais.

#### Importe-o

Agora, no seu código Dart, você pode usar:

```dart
import 'package:flutter_caf_document_detector/android_settings/android_settings.dart';
import 'package:flutter_caf_document_detector/android_settings/capture_feedback_colors.dart';
import 'package:flutter_caf_document_detector/android_settings/capture_stage.dart';
import 'package:flutter_caf_document_detector/android_settings/instructional_popup_settings.dart';
import 'package:flutter_caf_document_detector/android_settings/security_settings.dart';
import 'package:flutter_caf_document_detector/android_settings/sensor_settings.dart';
import 'package:flutter_caf_document_detector/android_settings/sensor_stability_settings.dart';
import 'package:flutter_caf_document_detector/capture_preview_settings.dart';
import 'package:flutter_caf_document_detector/country_code_list.dart';
import 'package:flutter_caf_document_detector/document_capture_flow.dart';
import 'package:flutter_caf_document_detector/document_captures_model.dart';
import 'package:flutter_caf_document_detector/document_detector.dart';
import 'package:flutter_caf_document_detector/document_detector_events.dart';
import 'package:flutter_caf_document_detector/enums.dart';
import 'package:flutter_caf_document_detector/ios_settings/capture_feedback_colors.dart';
import 'package:flutter_caf_document_detector/ios_settings/instructional_popup_settings.dart';
import 'package:flutter_caf_document_detector/ios_settings/ios_settings.dart';
import 'package:flutter_caf_document_detector/ios_settings/layout_customization.dart';
import 'package:flutter_caf_document_detector/ios_settings/sensor_settings.dart';
import 'package:flutter_caf_document_detector/message_settings.dart';
import 'package:flutter_caf_document_detector/upload_settings.dart';
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/documentdetector/installation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
